Source: pympler
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: William Grzybowski <william@grzy.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               libjs-jquery-flot,
               uglifyjs,
               pybuild-plugin-pyproject,
               python3-all,
               python3-bottle,
               python3-setuptools
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/pympler
Vcs-Browser: https://salsa.debian.org/python-team/packages/pympler
Vcs-Git: https://salsa.debian.org/python-team/packages/pympler.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-pympler
Architecture: all
Depends: python3-bottle, libjs-jquery-flot, ${misc:Depends}, ${python3:Depends}
Description: Tool to measure, monitor and analyze the Python objects memory
 Pympler is a development tool to measure, monitor and analyze the memory
 behavior of Python objects in a running Python application.
 .
 By pympling a Python application, detailed insight in the size and the
 lifetime of Python objects can be obtained. Undesirable or unexpected runtime
 behavior like memory bloat and other "pymples" can easily be identified.
